Package com.pixelmed.network

# Class NetworkDefaultValues

java.lang.Object
com.pixelmed.network.NetworkDefaultValues

public class NetworkDefaultValues extends Object

This class defines a number of useful defaults and constants and utilities to generate defaults.

## Field Summary

Fields
Modifier and Type
Field
Description
`static int[]`
`commonPortNumbers`
`static final int`
`DefaultWADOPort`
`static final int`
`StandardDicomPrivilegedPortNumber`
`static final int`
`StandardDicomReservedPortNumber`
`static final int`
`VendorConquestCommonDicomPortNumber`
`static final int`
`VendorGECommonDicomPortNumber`
`static final int`
`VendorKPACSCommonDicomPortNumber`
`static final int`
`VendorOsirixCommonDicomPortNumber`
`static final int`
`VendorPhilipsCommonDicomPortNumber`
`static final int`
`VendorSiemensCommonDicomPortNumber`
`static final int`
`VendorTianniCommonDicomPortNumber`

## Constructor Summary

Constructors
Constructor
Description
`NetworkDefaultValues()`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`getDefaultApplicationEntityTitle(int port)`
`static final String`
`getDefaultDNSServiceInstanceName(int port)`
`static final String`
`getDefaultPrimaryDeviceType()`
`static final String`
`getUnqualifiedLocalHostName()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### StandardDicomPrivilegedPortNumber

public static final int StandardDicomPrivilegedPortNumber

See Also:
  - Constant Field Values

### StandardDicomReservedPortNumber

public static final int StandardDicomReservedPortNumber

See Also:
  - Constant Field Values

### VendorGECommonDicomPortNumber

public static final int VendorGECommonDicomPortNumber

See Also:
  - Constant Field Values

### VendorSiemensCommonDicomPortNumber

public static final int VendorSiemensCommonDicomPortNumber

See Also:
  - Constant Field Values

### VendorPhilipsCommonDicomPortNumber

public static final int VendorPhilipsCommonDicomPortNumber

See Also:
  - Constant Field Values

### VendorOsirixCommonDicomPortNumber

public static final int VendorOsirixCommonDicomPortNumber

See Also:
  - Constant Field Values

### VendorConquestCommonDicomPortNumber

public static final int VendorConquestCommonDicomPortNumber

See Also:
  - Constant Field Values

### VendorTianniCommonDicomPortNumber

public static final int VendorTianniCommonDicomPortNumber

See Also:
  - Constant Field Values

### VendorKPACSCommonDicomPortNumber

public static final int VendorKPACSCommonDicomPortNumber

See Also:
  - Constant Field Values

### commonPortNumbers

public static int[] commonPortNumbers

### DefaultWADOPort

public static final int DefaultWADOPort

See Also:
  - Constant Field Values

## Constructor Details

### NetworkDefaultValues

public NetworkDefaultValues()

## Method Details

### getDefaultPrimaryDeviceType

public static final String getDefaultPrimaryDeviceType()

### getDefaultApplicationEntityTitle

public static final String getDefaultApplicationEntityTitle(int port)

### getDefaultDNSServiceInstanceName

public static final String getDefaultDNSServiceInstanceName(int port)

### getUnqualifiedLocalHostName

public static final String getUnqualifiedLocalHostName()